Package org.eclipse.ecf.remoteservice.rest

# Class RestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.remoteservice.rest.RestException

All Implemented Interfaces:
  `Serializable`

public class RestException extends ECFException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RestException()`
`RestException(int errorCode)`
`RestException(String message)`
`RestException(String message, int errorCode)`
`RestException(String message, Throwable cause)`
`RestException(String message, Throwable cause, int errorCode)`
`RestException(String message, Throwable cause, int errorCode, byte[] response)`
`RestException(Throwable cause)`
`RestException(Throwable cause, int errorCode)`
`RestException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
`byte[]`
`getResponseBody()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestException

public RestException(org.eclipse.core.runtime.IStatus status)

### RestException

public RestException()

### RestException

public RestException(int errorCode)

### RestException

public RestException(String message)

### RestException

public RestException(String message, int errorCode)

### RestException

public RestException(Throwable cause)

### RestException

public RestException(Throwable cause, int errorCode)

### RestException

public RestException(String message, Throwable cause)

### RestException

public RestException(String message, Throwable cause, int errorCode)

### RestException

public RestException(String message, Throwable cause, int errorCode, byte[] response)

## Method Details

### getErrorCode

public int getErrorCode()

### getResponseBody

public byte[] getResponseBody()